﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace Bold_And_Black_TabItem_On_Select
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.myTabControl.ItemsSource = GenerateItems();
        }

        void myTabControl_PreviewSelectionChanged(object sender, Telerik.Windows.Controls.SelectionChangedEventArgs e)
        {
            myTabControl.Dispatcher.BeginInvoke(() =>
            {
                foreach (DataItem selectedDataItem in e.AddedItems)
                {
                    RadTabItem selectedItem = this.myTabControl.ItemContainerGenerator.ContainerFromItem(selectedDataItem) as RadTabItem;
                    selectedItem.FontWeight = FontWeights.Bold;
                    selectedItem.Foreground = new SolidColorBrush(Colors.Black);
                }
                foreach (DataItem unselectedDataItem in e.RemovedItems)
                {
                    if (unselectedDataItem != null)
                    {
                        RadTabItem unselectedItem = this.myTabControl.ItemContainerGenerator.ContainerFromItem(unselectedDataItem) as RadTabItem;
                        unselectedItem.FontWeight = FontWeights.Normal;
                        unselectedItem.Foreground = new SolidColorBrush(Colors.White);
                    }
                }
            });
        }


        public ObservableCollection<DataItem> GenerateItems()
        {
            ObservableCollection<DataItem> result = new ObservableCollection<DataItem>();

            for (int i = 0; i < 5; i++)
            {
                result.Add(new DataItem(String.Format("Item {0}", i), String.Format("Content {0}", i)));
            }

            return result;
        }

    }
}
